SHA256
1
0
forked from pool/herbstluftwm
herbstluftwm/herbstluftwm-shebangs-2.patch
Ondřej Súkup 2b30a72443 Accepting request 561016 from home:avindra
- Split files into appropriate sub-packages
- Pass optflags to gcc via CPPFLAGS instead of CXXFLAGS
- Patches for fixing build errors and warnings
  * add herbstluftwm-shebangs.patch
  * add herbstluftwm-shebangs-2.patch
  * add examples-remove-executable-bits.patch
- Source download
  * update all urls to use https
  * track .sig file
- General tidiness
  * cleanup with spec-cleaner
  * use %make_install macro
  * renumber sources

OBS-URL: https://build.opensuse.org/request/show/561016
OBS-URL: https://build.opensuse.org/package/show/X11:windowmanagers/herbstluftwm?expand=0&rev=9
2018-01-10 13:06:55 +00:00

44 lines
1.3 KiB
Diff

From edc8c1656ec67b73f92f25d9cf322cea0df5d0a6 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Thorsten=20Wi=C3=9Fmann?= <edu@thorsten-wissmann.de>
Date: Mon, 12 Oct 2015 14:27:56 +0200
Subject: [PATCH] Unhardcode /bin/bash
---
scripts/maximize.sh | 3 ++-
scripts/toggledualhead.sh | 2 +-
scripts/windowmenu.sh | 3 ++-
3 files changed, 5 insertions(+), 3 deletions(-)
diff --git a/scripts/maximize.sh b/scripts/maximize.sh
index 24c146c..02be5af 100755
--- a/scripts/maximize.sh
+++ b/scripts/maximize.sh
@@ -1,4 +1,5 @@
-#!/bin/bash -e
+#!/usr/bin/env bash
+set -e
# A simple script for window maximization and window switching.
# Running this the first time script will:
#
diff --git a/scripts/toggledualhead.sh b/scripts/toggledualhead.sh
index 55ea29c..fddb82d 100755
--- a/scripts/toggledualhead.sh
+++ b/scripts/toggledualhead.sh
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/usr/bin/env bash
# Splits the currently focused monitor into two monitors displayed side by side
# Running this on a splitted monitor joins the two monitor halfs again.
diff --git a/scripts/windowmenu.sh b/scripts/windowmenu.sh
index 26808b8..f22c72e 100755
--- a/scripts/windowmenu.sh
+++ b/scripts/windowmenu.sh
@@ -1,4 +1,5 @@
-#!/bin/bash -e
+#!/usr/bin/env bash
+set -e
#
# dependencies:
#